package com.contabilidad.FacadeConta;


import com.contabilidad.EntConta.HistorialContratos;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

@Stateless
public class HistorialContratosFacade extends AbstractFacade<HistorialContratos> implements HistorialContratosFacadeLocal{

    @PersistenceContext(unitName = "contabilidad")
    private EntityManager em;

    @Override
    protected EntityManager getEntityManager() {
        return em;
    }

    public HistorialContratosFacade() { super(HistorialContratos.class); }
}
